## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SchemaASABaseLoader.ASABaseRoutineLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader
              org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader.ASABaseRoutineLoader

Enclosing class:
  SchemaASABaseLoader

    public static class SchemaASABaseLoader.ASABaseRoutineLoader

extends JDBCRoutineLoader

Nested Class Summary
`static class` `SchemaASABaseLoader.ASABaseRoutineLoader.ASAProcedureFactory`
`static class` `SchemaASABaseLoader.ASABaseRoutineLoader.ASAUseDefinedFunctionFactory`

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader
`JDBCRoutineLoader.IRoutineFactory, JDBCRoutineLoader.ProcedureFactory, JDBCRoutineLoader.UserDefinedFunctionFactory`

Field Summary
`static java.lang.String` `REMOTE_SERVER`

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader
`COLUMN_PROCEDURE_NAME, COLUMN_PROCEDURE_TYPE, COLUMN_REMARKS`

Constructor Summary
`SchemaASABaseLoader.ASABaseRoutineLoader(ICatalogObject catalogObj)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader
`clearRoutines, getProcedureFactory, getUserDefinedFunctionFactory, loadRoutines, loadRoutines, setProcedureFactory, setUserDefinedFunctionFactory`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REMOTE_SERVER

    public static final java.lang.String REMOTE_SERVER

See Also:
  Constant Field Values

Constructor Detail

### SchemaASABaseLoader.ASABaseRoutineLoader

    public SchemaASABaseLoader.ASABaseRoutineLoader(ICatalogObject catalogObj)